Bug 186192 - lang/python27: building python27-2.7.6_1 fails for WITH_NIS=y
Summary: lang/python27: building python27-2.7.6_1 fails for WITH_NIS=y
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on: 186412
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-28 12:10 UTC by oz42
Modified: 2014-09-20 00:56 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description oz42 2014-01-28 12:10:00 UTC
====> Compressing man pages (compress-man)
===>  Installing for python27-2.7.6_1
===>  Checking if lang/python27 already installed
===>   Registering installation for python27-2.7.6_1 as automatic
pkg-static: lstat(/usr/ports/lang/python27/work/stage/usr/local/lib/python2.7/lib-dynload/nis.so): No such file or directory
*** Error code 74

Stop.
make[3]: stopped in /usr/ports/lang/python27
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/lang/python27
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/devel/py-setuptools
*** Error code 1

Stop.
make: stopped in /usr/ports/security/py-fail2ban

How-To-Repeat: # grep -i nis /etc/src.conf
WITHOUT_NIS=YES
Comment 1 Edwin Groothuis freebsd_committer 2014-01-31 04:40:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Enji Cooper freebsd_committer 2014-02-01 18:49:10 UTC
	This PR is similar ports/147291.
	The problem is that src.conf isn=92t sourced in the ports build =
infrastructure, so any variables plugged into src.conf won=92t get =
picked up when building ports.
	Adding WITHOUT_NIS=3Dyes to /etc/make.conf will work around the =
issue though.
	I=92m not sure if looking for *_failed.so would be a good idea =
when creating the plist, but it would at least avoid the install/package =
creation issue.
Thanks!
-Garrett=
Comment 3 oz42 2014-02-02 09:53:14 UTC
Am 01.02.2014 19:49, schrieb Garrett Cooper:
> 	This PR is similar ports/147291.
> 	The problem is that src.conf isnt sourced in the ports build infrastructure, so any variables plugged into src.conf wont get picked up when building ports.
> 	Adding WITHOUT_NIS=yes to /etc/make.conf will work around the issue though.
> 	Im not sure if looking for *_failed.so would be a good idea when creating the plist, but it would at least avoid the install/package creation issue.
> Thanks!
> -Garrett
>

Thanks! I had no idea that this make.conf options still do exist in 10.0 
because:

[root@betsy ~/log]# man make.conf|grep NIS
[root@betsy ~/log]#

Cheers
Olaf
Comment 4 koobs 2014-02-23 07:46:13 UTC
ports/186351 has been closed as a duplicate of this PR, but may contain
useful information
Comment 5 Volodymyr Kostyrko 2014-02-24 16:57:20 UTC
This one is already fixed in current ports version and in HEAD. MFC is 
pending: http://www.freebsd.org/cgi/query-pr.cgi?pr=misc/186412
-- 
Sphinx of black quartz, judge my vow.
Comment 6 oz42 2014-04-17 08:29:55 UTC
Can you please tell me when this bug will be fixed?


# grep NIS /etc/make.conf
OPTIONS_UNSET=NIS X11

[root@lizzy /usr/ports/lang/python27]# make install
===>  Installing for python27-2.7.6_4
===>   python27-2.7.6_4 depends on shared library: libintl.so - found
===>  Checking if lang/python27 already installed
===>   Registering installation for python27-2.7.6_4
pkg-static: 
lstat(/usr/ports/lang/python27/work/stage/usr/local/lib/python2.7/lib-dynload/nis.so): 
No such file or directory
*** Error code 74

Stop.
make[1]: stopped in /usr/ports/lang/python27
*** Error code 1

Stop.
make: stopped in /usr/ports/lang/python27
Comment 7 koobs 2014-04-21 01:44:45 UTC
Support for removing files when WITHOUT_NIS is set in /etc/src.conf has
been MFC'd:

head: http://svnweb.freebsd.org/changeset/base/261521
stable/10: http://svnweb.freebsd.org/changeset/base/264116
stable/9: http://svnweb.freebsd.org/changeset/base/264117

Olaf, unless you can upgrade to the -CURRENT or -STABLE revisions
mentioned above, please either:

1) Set WITHOUT_NIS=yes in /etc/make.conf, OR
2) Move or remove the /usr/bin/ypcat file

These are currently the two methods by which the Python ports will
disable building the Python nis extension and remove the entry from the
pkg-plist
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2014-04-21 01:56:05 UTC
State Changed
From-To: open->feedback

Dependent PR committed and closed. Pending confirmation from submitter
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2014-04-23 03:01:54 UTC
Responsible Changed
From-To: freebsd-python->koobs

I'll take it.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2014-07-07 00:22:09 UTC
Confirmation timeout. Fix committed to HEAD, stable/10 and stable/9